Upgrading evergreen reflect 1.6.2 updates.
[working/Evergreen.git] / 1.6 / admin / Upgrading-Evergreen_1.6.xml
index 5c2bae1..3bc0d19 100644 (file)
@@ -2,10 +2,10 @@
 <chapter xmlns="http://docbook.org/ns/docbook" xmlns:xi="http://www.w3.org/2001/XInclude"\r
        xmlns:xl="http://www.w3.org/1999/xlink" version="5.0" xml:id="upgradingevergreen">\r
        <info>\r
-               <title>Upgrading Evergreen from 1.4 to 1.6.1</title>\r
+               <title>Upgrading Evergreen from 1.4 to 1.6.2</title>\r
                <abstract>\r
                        <para>This Chapter will explain the step-by-step process of upgrading <application>Evergreen\r
-                       </application> from version 1.4 to 1.6.1, including steps to upgrade <application>OpenSRF</application>. Before \r
+                       </application> from version 1.4 to 1.6.2, including steps to upgrade <application>OpenSRF</application>. Before \r
                        upgrading, it is important to carefully plan an upgrade strategy to minimize system downtime and \r
                        service interruptions. All of the steps in this chapter are to be completed from the command line.</para>\r
                </abstract>\r
@@ -19,7 +19,7 @@
                <para>To switch from the <systemitem class="username">root</systemitem> user to a different user, issue the <command>su - [user]</command> command; for example, \r
                <command>su - opensrf</command>. Once you have become a non-root user, to become the <systemitem class="username">root</systemitem> user again simply issue the exit command.</para> \r
                <para>In the following instructions, <filename class='directory'>/path/to/OpenSRF/</filename> represents the path to the OpenSRF source directory.</para>\r
-       <simplesect>\r
+       <section xml:id="upgradingevergreen-stop_evergreen">\r
                <title>Stop Evergreen and back up data.</title>\r
                <procedure>\r
                        <step>\r
                                </application> database</link>.</para>\r
                        </step>\r
                </procedure>\r
-       </simplesect>\r
-       <simplesect>\r
-               <title>Upgrading OpenSRF to 1.4</title><indexterm><primary>OpenSRF</primary></indexterm>\r
+       </section>\r
+       <section xml:id="upgradingevergreen-upgradingOpenSRF">\r
+               <title>Upgrading OpenSRF to 1.6</title><indexterm><primary>OpenSRF</primary></indexterm>\r
                <procedure>\r
                        <step>\r
                                <para>As the <systemitem class="username">opensrf</systemitem> user, download and extract the source files for <application>OpenSRF</application> \r
                                1.4:</para>\r
 <screen><userinput>\r
-wget http://open-ils.org/downloads/OpenSRF-1.4.0.tar.gz\r
+wget http://open-ils.org/downloads/OpenSRF-1.6.2.tar.gz\r
 tar xzf OpenSRF-1.4.0.tar.gz\r
 </userinput></screen>\r
-                               <para>A new directory OpenSRF-1.4.0 is created.</para>\r
+                               <para>A new directory OpenSRF-1.6.2 is created.</para>\r
                                <note><para>For the latest edition of OpenSRF, check the Evergreen download page at \r
                                <ulink url="http://www.open-ils.org/downloads.php" />.\r
                                </para></note>\r
@@ -62,7 +62,7 @@ tar xzf OpenSRF-1.4.0.tar.gz
                                prerequisite installer.</para> \r
 <screen><userinput>\r
 aptitude install make\r
-cd /home/opensrf/OpenSRF-1.4.0\r
+cd /home/opensrf/OpenSRF-1.6.2\r
 </userinput></screen>          \r
                                <para>Replace <option>[distribution]</option> below with the following value \r
                                for your distribution:</para>\r
@@ -94,6 +94,9 @@ cd /home/opensrf/OpenSRF-1.4.0
                                                <para><option>ubuntu-lucid</option> for <systemitem class="osname">Ubuntu Lucid Lynx\r
                                                (10.04)</systemitem></para>\r
                                        </listitem>\r
+                                       <listitem>\r
+                                               <para><option>centos</option> for <systemitem class="osname">CentOS 5</systemitem></para>\r
+                                       </listitem>\r
                                </itemizedlist>\r
 <screen><userinput>\r
 cd /path/to/OpenSRF\r
@@ -121,7 +124,7 @@ make
                                <para>As the <systemitem class="username">root</systemitem> user, return to your OpenSRF build directory and install \r
                                OpenSRF:</para>\r
 <screen><userinput>\r
-cd /home/opensrf/OpenSRF-1.4.0\r
+cd /home/opensrf/OpenSRF-1.6.2\r
 make install\r
 </userinput></screen>\r
                        </step>\r
@@ -153,23 +156,23 @@ srfsh#
                                of this documentation.</para> \r
                        </step> \r
                </procedure>    \r
-       </simplesect>\r
-       <simplesect>\r
-               <title>Upgrade <application>Evergreen</application> to 1.6.1.2</title>\r
+       </section>\r
+       <section xml:id="upgradingevergreen-upgrading_from_1.4_to_1.6.2">\r
+               <title>Upgrade <application>Evergreen</application> from 1.4 to 1.6.2</title>\r
                <procedure>\r
                        <step>\r
-                               <para>As the <systemitem class="username">opensrf</systemitem> user, download and extract <application>Evergreen 1.6.1.2</application>\r
+                               <para>As the <systemitem class="username">opensrf</systemitem> user, download and extract <application>Evergreen 1.6.2.0</application>\r
                                </para>\r
 <screen><userinput>\r
-wget http://open-ils.org/downloads/Evergreen-ILS-1.6.1.2.tar.gz\r
-tar xzf Evergreen-ILS-1.6.1.2.tar.gz\r
+wget http://open-ils.org/downloads/Evergreen-ILS-1.6.2.0.tar.gz\r
+tar xzf Evergreen-ILS-1.6.2.0.tar.gz\r
 </userinput></screen>\r
                                <note><para>For the latest edition of Evergreen check the Evergreen download page at\r
                                <ulink url="http://www.open-ils.org/downloads.php" /> and adjust upgrading instructions accordingly.</para></note>\r
                        </step>\r
                        <step>\r
                                <para>As the <systemitem class="username">root</systemitem> user, install the prerequisites:</para> \r
-                               <screen><userinput>cd /home/opensrf/Evergreen-ILS-1.6.1.2</userinput></screen>  \r
+                               <screen><userinput>cd /home/opensrf/Evergreen-ILS-1.6.2.0</userinput></screen>  \r
                                <para>On the next command, replace <option>[distribution]</option> with one of \r
                                these values for your distribution of Debian or Ubuntu:</para>\r
                                <itemizedlist>\r
@@ -193,10 +196,7 @@ tar xzf Evergreen-ILS-1.6.1.2.tar.gz
                                        </listitem>\r
                                        <listitem>\r
                                                <para><option>ubuntu-karmic</option> for <systemitem class="osname">Ubuntu Karmic Koala \r
-                                               (9.10)</systemitem></para>\r
-                                       </listitem>\r
-                                       <listitem>\r
-                                               <para><option>ubuntu-lucid</option> for <systemitem class="osname">Ubuntu Lucid Lynx \r
+                                               (9.10)</systemitem> or <systemitem class="osname">Ubuntu Lucid Lynx \r
                                                (10.04)</systemitem></para>\r
                                        </listitem>\r
                                </itemizedlist>\r
@@ -205,19 +205,19 @@ tar xzf Evergreen-ILS-1.6.1.2.tar.gz
                        <step>\r
                                <para>As the <systemitem class="username">opensrf</systemitem> user, configure and compile \r
                                <application>Evergreen</application>:</para>\r
-                               <screen><userinput>cd /home/opensrf/Evergreen-ILS-1.6.1.2</userinput></screen>\r
+                               <screen><userinput>cd /home/opensrf/Evergreen-ILS-1.6.2.0</userinput></screen>\r
                                <screen><userinput>./configure --prefix=/openils --sysconfdir=/openils/conf</userinput></screen>\r
                                <screen><userinput>make</userinput></screen>\r
                        </step>\r
                        <step>\r
                                <para>As the <systemitem class="username">root</systemitem> user, install \r
                                <application>Evergreen</application>:</para>\r
-                               <screen><userinput>make STAFF_CLIENT_BUILD_ID=rel_1_6_1_2 install</userinput></screen>\r
+                               <screen><userinput>make STAFF_CLIENT_BUILD_ID=rel_1_6_2_0 install</userinput></screen>\r
                        </step>\r
                        <step>\r
                                <para>Change to the <application>Evergreen</application> installation \r
                                directory:</para>\r
-                               <screen><userinput>cd /home/opensrf/Evergreen-ILS-1.6.1.2</userinput></screen>\r
+                               <screen><userinput>cd /home/opensrf/Evergreen-ILS-1.6.2.0</userinput></screen>\r
                        </step>\r
                        <step>\r
                                <para>As the <emphasis>root</emphasis> user, change all files to be owned by the \r
@@ -228,7 +228,7 @@ tar xzf Evergreen-ILS-1.6.1.2.tar.gz
                                <para>As the <systemitem class="username">root</systemitem> user, build <filename>live-db-setup.pl</filename> for the cgi-bin \r
                                bootstrapping scripts and <filename>offline-config.pl</filename> for the offline staff client data uploader:</para>\r
 <screen><userinput>\r
-cd /home/opensrf/Evergreen-ILS-1.6.1.2\r
+cd /home/opensrf/Evergreen-ILS-1.6.2.0\r
 perl Open-ILS/src/support-scripts/eg_db_config.pl --create-bootstrap --create-offline \ \r
 --user evergreen --password evergreen --hostname localhost --port 5432 \\r
 --database evergreen\r
@@ -239,7 +239,7 @@ perl Open-ILS/src/support-scripts/eg_db_config.pl --create-bootstrap --create-of
 <screen><userinput>\r
 cd /openils/var/web/xul/\r
 rm server\r
-ln -s rel_1_6_1_2/server\r
+ln -s rel_1_6_2_0/server\r
 </userinput></screen>\r
                        </step>\r
                        <step>\r
@@ -255,6 +255,10 @@ psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.0.3-1.6.0.4-upgrade-db
 psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.0.4-1.6.1.0-upgrade-db.sql evergreen\r
 psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.0-1.6.1.1-upgrade-db.sql evergreen\r
 psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.1-1.6.1.2-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.2-1.6.1.3-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.3-1.6.1.4-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.4-1.6.1.5-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.1-1.6.2-upgrade-db.sql evergreen\r
 </userinput>\r
 </screen>      \r
                        </step>\r
@@ -299,8 +303,60 @@ perl Open-ILS/src/support-scripts/eg_db_config.pl --update-config --service all
                                <indexterm><primary>SSL</primary><secondary>certificates</secondary></indexterm>\r
                        </step> \r
                </procedure>    \r
-       </simplesect>\r
-       <simplesect xml:id="upgraderestart">\r
+       </section>\r
+       <section xml:id="upgradingevergreen_1.6.0_to_1.6.2">\r
+               <title>Upgrade <application>Evergreen</application>from 1.6.0 to 1.6.2</title>\r
+               <procedure>\r
+                       <step>\r
+                               <para>Follow steps 1-8 of the <link linkend="upgradingevergreen-upgrading_from_1.4_to_1.6.2">instructions for upgrading Evergreen from 1.4</link> \r
+                               \r
+                       \r
+                       <step>\r
+                               <para>Update the Evergreen database:</para>\r
+                               <note><para>it is recommended that you <link linkend="backingup">back up your Evergreen database</link> in order to restore your data if anything goes wrong.</para></note>\r
+<screen>\r
+<userinput>\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.0.4-1.6.1.0-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.0-1.6.1.1-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.1-1.6.1.2-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.2-1.6.1.3-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.3-1.6.1.4-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.4-1.6.1.5-upgrade-db.sql evergreen\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.1-1.6.2-upgrade-db.sql evergreen\r
+</userinput>\r
+</screen>      \r
+                       </step>\r
+                       <step>\r
+                               <para>Follow steps 10-16 of the <link linkend="upgradingevergreen-upgrading_from_1.4_to_1.6.2">instructions for upgrading Evergreen from 1.4</link> \r
+                               \r
+                       \r
+                       <step>\r
+               </procedure>    \r
+       </section>\r
+       <section xml:id="upgradingevergreen_1.6.1 to_1.6.2">\r
+               <title>Upgrade <application>Evergreen</application>from 1.6.1 to 1.6.2</title>\r
+               <procedure>\r
+                       <step>\r
+                               <para>Follow steps 1-8 of the <link linkend="upgradingevergreen-upgrading_from_1.4_to_1.6.2">instructions for upgrading Evergreen from 1.4</link> \r
+                               \r
+                       \r
+                       <step>\r
+                               <para>Update the Evergreen database:</para>\r
+                               <note><para>it is recommended that you <link linkend="backingup">back up your Evergreen database</link> in order to restore your data if anything goes wrong.</para></note>\r
+<screen>\r
+<userinput>\r
+psql -U evergreen -h localhost -f Open-ILS/src/sql/Pg/1.6.1.1-1.6.2-upgrade-db.sql evergreen\r
+</userinput>\r
+</screen>      \r
+                       </step>\r
+                       <step>\r
+                               <para>Follow steps 10-16 of the <link linkend="upgradingevergreen-upgrading_from_1.4_to_1.6.2">instructions for upgrading Evergreen from 1.4</link> \r
+                               \r
+                       \r
+                       <step>\r
+               </procedure>    \r
+       </section>\r
+       <section xml:id="testing_after_upgrade">\r
                <title>Restart Evergreen and Test</title>\r
                <procedure>\r
                        <step>\r
@@ -335,10 +391,10 @@ cd /openils/bin
                        section</link> of this documentation for tips \r
                        on finding solutions and seeking further assistance from the Evergreen community.</para>  \r
                </note>\r
-       </simplesect>\r
-       <simplesect>\r
+       </section>\r
+       <section xml:id="upgrading_Postgresqlto8.4">\r
                <title>Upgrading PostgreSQL from 8.2 to 8.4</title>\r
-               <para>Evergreen 1.6.1 supports PostgreSQL version 8.4 and it is recommended that you upgrade PostgreSQL when you upgrade Evergreen to 1.6.</para>\r
+               <para>Evergreen 1.6.2 supports PostgreSQL version 8.4 and it is recommended that you upgrade PostgreSQL when you upgrade Evergreen to 1.6.</para>\r
                <note><para>The order of the following steps is very important.</para></note><indexterm><primary>databases</primary><secondary>PostgreSQL</secondary></indexterm>\r
                <procedure>\r
                        <step>\r
@@ -375,9 +431,9 @@ psql -f /usr/share/postgresql/8.4/contrib/pgxml.sql evergreen
                        </step>\r
                        <step>\r
                                <para>To point tsearch2 to proper function names in 8.4, run the SQL script \r
-                               <filename>/home/opensrf/Evergreen-ILS*/Open-ILS/src/sql/Pg/000.english.pg83.fts-config.sql</filename> using the <command>psql</command> command.</para>\r
+                               <filename>/home/opensrf/Evergreen-ILS*/Open-ILS/src/sql/Pg/000.english.pg84.fts-config.sql</filename> using the <command>psql</command> command.</para>\r
                                <screen><userinput>cd /home/opensrf/Evergreen-ILS*</userinput></screen>\r
-                               <screen><userinput>psql -f /Open-ILS/src/sql/Pg/000.english.pg83.fts-config.sql evergreen</userinput></screen>\r
+                               <screen><userinput>psql -f /Open-ILS/src/sql/Pg/000.english.pg84.fts-config.sql evergreen</userinput></screen>\r
                        </step>\r
                        <step>\r
                                <para><link linkend="upgraderestart">Restart Evergreen and OpenSRF services</link></para>\r